wopi_check_file_info
GET
/api/v1/wopi/files/{id}
const url = 'https://example.com/api/v1/wopi/files/1';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use reqwest;
#[tokio::main]pub async fn main() { let url = "https://example.com/api/v1/wopi/files/1";
let client = reqwest::Client::new(); let response = client.get(url) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request GET \ --url https://example.com/api/v1/wopi/files/1Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer format: int64
File ID
Query Parameters
Section titled “Query Parameters”access_token
string
WOPI access token
Header Parameters
Section titled “Header Parameters”X-WOPI-Token
string | null
WOPI access token header
Responses
Section titled “Responses”WOPI CheckFileInfo response